org.rrd4j.core.jrrd

## Class RRDFile

- java.lang.Object
- - org.rrd4j.core.jrrd.RRDFile

- All Implemented Interfaces:
    Constants

      class RRDFile
      extends Object
      implements Constants

  This class is used read information from an RRD file. Writing to RRD files is not currently supported. It uses NIO's RandomAccessFile to read the file

  Currently this can read RRD files that were generated on Solaris (Sparc) and Linux (x86).

  Version:
    $Revision: 1.1 $

- - ### Field Summary

    - ### Fields inherited from interface org.rrd4j.core.jrrd.Constants

      `CF_NAM_SIZE, COOKIE, DS_NAM_SIZE, DST_SIZE, FLOAT_COOKIE, LAST_DS_LEN, MAX_SUPPORTED_VERSION, SIZE_OF_DOUBLE, UNDEFINED_VERSION, UNDEFINED_VERSION_AS_INT, VERSION_WITH_LAST_UPDATE_SEC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RRDFile(File file)`
    `RRDFile(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) int` | `align()`
    `(package private) int` | `align(int boundary)`
    `(package private) void` | `close()`
    `(package private) int` | `getAlignment()`
    `(package private) int` | `getBits()`
    `(package private) long` | `getFilePointer()`
    `(package private) UnivalArray` | `getUnivalArray(int size)`
    `(package private) long` | `info()`
    `(package private) boolean` | `isBigEndian()`
    `(package private) void` | `read(ByteBuffer bb)`
    `(package private) double` | `readDouble()`
    `(package private) int` | `readInt()`
    `(package private) int` | `readLong()`
    `(package private) String` | `readString(int maxLength)`
    `void` | `seek(long position)`
    `void` | `seekToEndOfFile()`
    `(package private) void` | `skipBytes(int n)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RRDFile

          RRDFile(File file)
           throws IOException

      Throws:
        `IOException`

    - #### RRDFile

          RRDFile(String name)
           throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### align

          int align()

    - #### align

          int align(int boundary)

    - #### close

          void close()
              throws IOException

      Throws:
        `IOException`

    - #### getAlignment

          int getAlignment()

    - #### getBits

          int getBits()

      Returns:
        the long size in bits for this file

    - #### getFilePointer

          long getFilePointer()

    - #### getUnivalArray

          UnivalArray getUnivalArray(int size)

    - #### info

          long info()

    - #### isBigEndian

          boolean isBigEndian()

    - #### read

          void read(ByteBuffer bb)

    - #### readDouble

          double readDouble()

    - #### readInt

          int readInt()

    - #### readLong

          int readLong()

    - #### readString

          String readString(int maxLength)

    - #### seek

          public void seek(long position)

    - #### seekToEndOfFile

          public void seekToEndOfFile()

    - #### skipBytes

          void skipBytes(int n)